
N=100000
x = runif(N)
taus = c(1, 2, 1/2)

par(mfrow=c(3,2)) 
for(tau in taus) {
  t = -tau * log(x)
  hist(t, nc=50, col='cyan', main=sprintf("tau = %.2f", tau) )
  text(6*tau, N/10, sprintf("media(t) = %.3f", mean(t)), cex=1.5, col='blue')
  t = rexp(N, rate=1/tau)
  hist(t, nc=50, col='green', main=sprintf("tau = %.2f (rexp)", tau) )
   text(6*tau, N/10, sprintf("media(t) = %.3f", mean(t)), cex=1.5, col='blue')
}

# ovviamente lo script poteva esser fatto diversamente,
# e con grafica più semplice, con un istogramma alla volta,
# ma questa è la sostanza (e un modo compatto per capire cosa succede
# con la trasformazione di variabili da x a t per vari tau)